Rudiments

Public Member Functions | List of all members
inetsocketutil Class Reference

Inherited by inetsocketclient`[private]`, and inetsocketserver`[private]`.

## Public Member Functions
| inetsocketutil ()
| inetsocketutil (const inetsocketutil &i)
inetsocketutil & | operator= (const inetsocketutil &i)
virtual | ~inetsocketutil ()
void | initialize (const char *address, uint16_t port)

## Detailed Description

The inetsocketutil class is just a base class for other classes that use inet sockets. It is unlikely to need to be used directly.

## Constructor & Destructor Documentation

## ◆ inetsocketutil() [1/2]

inetsocketutil::inetsocketutil | ( |  | ) |

Creates an instance of the inetsocketutil class.

## ◆ inetsocketutil() [2/2]

inetsocketutil::inetsocketutil | ( | const inetsocketutil & | i | ) |

Creates an instance of the inetsocketutil class that is a copy of "i".

## ◆ ~inetsocketutil()

virtual inetsocketutil::~inetsocketutil | ( |  | ) |
| virtual

Deletes this instance of the inetsocketutil class.

## Member Function Documentation

## ◆ initialize()

void inetsocketutil::initialize | ( | const char * | address,
|  | uint16_t | port
| ) |  |

Initializes the class to use "address" and "port". This is not directly useful within this class but child classes may use these values to decide where to connect to or what to listen on.

## ◆ operator=()

inetsocketutil& inetsocketutil::operator= | ( | const inetsocketutil & | i | ) |

Makes this instance of the inetsocketutil class identical to "i".